#####################################################################################################
#####################################################################################################
######### 					Installation Procedure for R-package                         ############
######### aquap2: Multivariate Data Analysis Tools for R including Aquaphotomics Methods ############
######### 					Bernhard Pollner & Zoltan Kovacs 							 ############
#########		bernhard.pollner@mac.com 			kovacs@correltech.com				 ############
#####################################################################################################
######## 					First introduced at Kobe University at the 					 ############
########						2nd International Aquaphotomics Symposium 				 ############
######## 							"Understanding Water in Biology"					 ############
######## 								26. - 29. November 2016							 ############
#####################################################################################################
#####################################################################################################


# Note: This installation procedure is aimed at users with only minimal or none experience of 
# setting up and installing packages in R. Experienced users can and should of course go straight 
# ahead and use
# library(devtools) 
# install_github(repo="bpollner/aquap2", ref="latestPublic", build_vignettes=FALSE, force=FALSE)
# and deal with any upcoming error directly.


# Note: The purpose of this installation script is to facilitate and help inexperienced R-users to
# install the package "aquap2" on their system. It has been tested under OSX and Windows, but, depending 
# on your operation system and state and condition of your R-installation the results and the performance 
# of this installer-script are not entirely predictable. Any upcoming errors have to be dealt with by 
# the user, and we can not provide additional general advice on the matter.


# Note: Use of this installer-script is entirely at the users own risk and responsibility. We are not 
# responsible for potential unwanted side-effects whatsoever that might occur due to the use of this 
# script.


# Note: Distribution of this script is only allowed in its original, unchanged form.


# Ok. So far for the Overture. :-)
#####################################################################################################

### Installation procedure for R-package "aquap2"

# first step:
# download and install the latest version of R on your system.
# https://www.r-project.org

# second step:
# download and install the latest version of R-Studio on your system.
# https://www.rstudio.com/products/rstudio/download/

# third step:
# go to R-Studio and run this script, i.e. open it in the "source" panel and click on "source" 
# (right side of "source" panel)
# Note: you have to have an internet connection, as you will download several packages.
# Note: if you encounter an error, please READ the error message and try to react accordingly.

# !! restart R if you did not just start up, i.e. if you already have any other package running

install.packages(c("devtools", "iterators"))

library(devtools)
install_github(repo="bpollner/aquap2", ref="latestPublic",  build_vignettes=FALSE, force=TRUE)

# now you should have the package "aquap2" installed on your system
# you can check this by
library(aquap2)

# now you can proceed to set up the package "aquap2" as described in its help pages
# good luck - and have fun! And, please do not forget to cite us! :-)
citation("aquap2")

# Kobe, 27. November 2016
# Bernhard Pollner & Zoltan Kovacs

